Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZPageView Class Reference

## Public Member Functions
| __construct ( $id="")
| store ()
| get ( $id="")
| id ()
| user ()
| remoteIP ()
& | dateTime ()
| remoteHostName ()
| requestPage ()
| requestPageByID ( $id)

## Static Public Member Functions
static | getHostByAddr ( $remoteIP)

## Public Attributes
| $ID
| $UserID
| $Date
| $DateValue
| $TimeValue
| $BrowserTypeID
| $RemoteHostID
| $RefererID
| $RequestPageID
| $BrowserType
| $RemoteIP
| $RemoteHostName
| $RefererURL
| $RefererDomain
| $RequestPage
| $RefererURLID

## Detailed Description

! eZStats The eZPageView handled user page views on the site.

This class hadles collecting of statistical information. It does not contain any query functions due to speed considerations.

The class eZPageViewQuery handles the queries on the gathered information.

See also
  eZPageViewQuery

TODO

Definition at line 46 of file ezpageview.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZPageView::__construct | ( |  | $id = `""` | ) |

Constructs a new eZPageView object.

Definition at line 51 of file ezpageview.php.

References $id, and $ID.

## Member Function Documentation

## ◆ dateTime()

& eZPageView::dateTime | ( |  | ) |

Returns the time as a eZ time object.

Definition at line 397 of file ezpageview.php.

References $time.

## ◆ get()

eZPageView::get | ( |  | $id = `""` | ) |

Fetches the object information from the database.

Definition at line 303 of file ezpageview.php.

References $db, $id, $result, $ret, and eZDB\globalDatabase().

## ◆ getHostByAddr()

static eZPageView::getHostByAddr | ( |  | $remoteIP | ) |
| static

Returns the hostname of the requested ip address.

Definition at line 439 of file ezpageview.php.

Referenced by eZPageViewQuery\topVisitors().

## ◆ id()

eZPageView::id | ( |  | ) |

Returns the id of the virtual file.

Definition at line 367 of file ezpageview.php.

References $ID.

## ◆ remoteHostName()

eZPageView::remoteHostName | ( |  | ) |

Returns the remote host name.

Definition at line 408 of file ezpageview.php.

References $RemoteHostName.

## ◆ remoteIP()

eZPageView::remoteIP | ( |  | ) |

Returns the remote ip address.

Definition at line 389 of file ezpageview.php.

References $RemoteIP.

## ◆ requestPage()

eZPageView::requestPage | ( |  | ) |

Returns the requested page

Definition at line 416 of file ezpageview.php.

References $RequestPage.

## ◆ requestPageByID()

eZPageView::requestPageByID | ( |  | $id | ) |

Returns the requested page by request page id.

Definition at line 425 of file ezpageview.php.

References $db, and eZDB\globalDatabase().

## ◆ store()

eZPageView::store | ( |  | ) |

Stores a eZPageView object to the database.

This function will also automatically fetch the user information and set the values before storing them to the database.

Definition at line 66 of file ezpageview.php.

References $date, $db, $now, $result, $time, $user, eZUser\currentUser(), and eZDB\globalDatabase().

## ◆ user()

eZPageView::user | ( |  | ) |

Returns the user who got the page. False if the user was not logged in.

Definition at line 375 of file ezpageview.php.

References $ret.

## Member Data Documentation

## ◆ $BrowserType

eZPageView::$BrowserType

Definition at line 456 of file ezpageview.php.

## ◆ $BrowserTypeID

eZPageView::$BrowserTypeID

Definition at line 451 of file ezpageview.php.

## ◆ $Date

eZPageView::$Date

Definition at line 448 of file ezpageview.php.

## ◆ $DateValue

eZPageView::$DateValue

Definition at line 449 of file ezpageview.php.

## ◆ $ID

eZPageView::$ID

Definition at line 446 of file ezpageview.php.

Referenced by __construct(), and id().

## ◆ $RefererDomain

eZPageView::$RefererDomain

Definition at line 460 of file ezpageview.php.

## ◆ $RefererID

eZPageView::$RefererID

Definition at line 453 of file ezpageview.php.

## ◆ $RefererURL

eZPageView::$RefererURL

Definition at line 459 of file ezpageview.php.

## ◆ $RefererURLID

eZPageView::$RefererURLID

Definition at line 462 of file ezpageview.php.

## ◆ $RemoteHostID

eZPageView::$RemoteHostID

Definition at line 452 of file ezpageview.php.

## ◆ $RemoteHostName

eZPageView::$RemoteHostName

Definition at line 458 of file ezpageview.php.

Referenced by remoteHostName().

## ◆ $RemoteIP

eZPageView::$RemoteIP

Definition at line 457 of file ezpageview.php.

Referenced by remoteIP().

## ◆ $RequestPage

eZPageView::$RequestPage

Definition at line 461 of file ezpageview.php.

Referenced by requestPage().

## ◆ $RequestPageID

eZPageView::$RequestPageID

Definition at line 454 of file ezpageview.php.

## ◆ $TimeValue

eZPageView::$TimeValue

Definition at line 450 of file ezpageview.php.

## ◆ $UserID

eZPageView::$UserID

Definition at line 447 of file ezpageview.php.

The documentation for this class was generated from the following file:

- ezpageview.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.